org.opencv.objdetect

## Class QRCodeDetector

- java.lang.Object
- - org.opencv.objdetect.QRCodeDetector

-     public class QRCodeDetector
      extends Object

  Groups the object candidate rectangles. rectList Input/output vector of rectangles. Output vector includes retained and grouped rectangles. (The Python list is not modified in place.) weights Input/output vector of weights of rectangles. Output vector includes weights of retained and grouped rectangles. (The Python list is not modified in place.) groupThreshold Minimum possible number of rectangles minus 1. The threshold is used in a group of rectangles to retain it. eps Relative difference between sides of the rectangles to merge them into a group.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `QRCodeDetector()`
    `protected` | `QRCodeDetector(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QRCodeDetector` | `__fromPtr__(long addr)`
    `String` | `decode(Mat img, Mat points)` Decodes QR code in image once it's found by the detect() method.
    `String` | `decode(Mat img, Mat points, Mat straight_qrcode)` Decodes QR code in image once it's found by the detect() method.
    `boolean` | `detect(Mat img, Mat points)` Detects QR code in image and returns the quadrangle containing the code.
    `String` | `detectAndDecode(Mat img)` Both detects and decodes QR code
    `String` | `detectAndDecode(Mat img, Mat points)` Both detects and decodes QR code
    `String` | `detectAndDecode(Mat img, Mat points, Mat straight_qrcode)` Both detects and decodes QR code
    `protected void` | `finalize()`
    `long` | `getNativeObjAddr()`
    `void` | `setEpsX(double epsX)` sets the epsilon used during the horizontal scan of QR code stop marker detection.
    `void` | `setEpsY(double epsY)` sets the epsilon used during the vertical scan of QR code stop marker detection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### QRCodeDetector

          protected QRCodeDetector(long addr)

    - #### QRCodeDetector

          public QRCodeDetector()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static QRCodeDetector __fromPtr__(long addr)

    - #### decode

          public String decode(Mat img,
                               Mat points,
                               Mat straight_qrcode)

      Decodes QR code in image once it's found by the detect() method. Returns UTF8-encoded output string or empty string if the code cannot be decoded.
      Parameters:
        `img` - grayscale or color (BGR) image containing QR code.
        `points` - Quadrangle vertices found by detect() method (or some other algorithm).
        `straight_qrcode` - The optional output image containing rectified and binarized QR code
      Returns:
        automatically generated

    - #### decode

          public String decode(Mat img,
                               Mat points)

      Decodes QR code in image once it's found by the detect() method. Returns UTF8-encoded output string or empty string if the code cannot be decoded.
      Parameters:
        `img` - grayscale or color (BGR) image containing QR code.
        `points` - Quadrangle vertices found by detect() method (or some other algorithm).
      Returns:
        automatically generated

    - #### detectAndDecode

          public String detectAndDecode(Mat img,
                                        Mat points,
                                        Mat straight_qrcode)

      Both detects and decodes QR code
      Parameters:
        `img` - grayscale or color (BGR) image containing QR code.
        `points` - opiotnal output array of vertices of the found QR code quadrangle. Will be empty if not found.
        `straight_qrcode` - The optional output image containing rectified and binarized QR code
      Returns:
        automatically generated

    - #### detectAndDecode

          public String detectAndDecode(Mat img,
                                        Mat points)

      Both detects and decodes QR code
      Parameters:
        `img` - grayscale or color (BGR) image containing QR code.
        `points` - opiotnal output array of vertices of the found QR code quadrangle. Will be empty if not found.
      Returns:
        automatically generated

    - #### detectAndDecode

          public String detectAndDecode(Mat img)

      Both detects and decodes QR code
      Parameters:
        `img` - grayscale or color (BGR) image containing QR code.
      Returns:
        automatically generated

    - #### detect

          public boolean detect(Mat img,
                                Mat points)

      Detects QR code in image and returns the quadrangle containing the code.
      Parameters:
        `img` - grayscale or color (BGR) image containing (or not) QR code.
        `points` - Output vector of vertices of the minimum-area quadrangle containing the code.
      Returns:
        automatically generated

    - #### setEpsX

          public void setEpsX(double epsX)

      sets the epsilon used during the horizontal scan of QR code stop marker detection.
      Parameters:
        `epsX` - Epsilon neighborhood, which allows you to determine the horizontal pattern of the scheme 1:1:3:1:1 according to QR code standard.

    - #### setEpsY

          public void setEpsY(double epsY)

      sets the epsilon used during the vertical scan of QR code stop marker detection.
      Parameters:
        `epsY` - Epsilon neighborhood, which allows you to determine the vertical pattern of the scheme 1:1:3:1:1 according to QR code standard.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8